package com.pusong.business.service;

import com.alibaba.fastjson.JSONArray;
import com.pusong.business.domain.bo.DicDataBo;
import com.pusong.common.core.domain.R;
import com.pusong.common.mybatis.core.page.PageQuery;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.system.domain.bo.SysDictDataBo;
import com.pusong.system.domain.vo.SysDictDataVo;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 字典 业务层
 *
 * @author Lion Li
 */
public interface IServiceConfigService {


    /**
     *  获取全部配置信息
     * @return
     */
    JSONArray getAllConfig();
    /**
     *  新增配置
     * @return
     */
    void add(DicDataBo bo);
    /**
     *  修改配置
     * @return
     */
    void edit(DicDataBo bo);

    /**
     *  删除配置
     * @return
     */
    void delete(Long dictCode);

    /**
     * 根据合同编码查询资料配置信息
     * @param contractCode
     */
    List<String> getByContractCode(String contractCode);
}